%define	name		libglade-java
%define	version		2.10.1
%define	release		5

Summary:	Java bindings for libglade
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Development/Libraries
URL:		http://java-gnome.sourceforge.net
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Requires:	libglade2 >= 2.4.0
BuildRequires:  libglade2-devel >= 2.4.0, gcc-java >= 3.3.3
BuildRequires:	libgnome-java >= 2.8.2, libgtk-java >= 2.6.0
BuildRequires:	java-devel >= 1.4.2
# FIXME: remove this when eclipse-ecj builds on all platforms
ExclusiveArch:	i386 ppc x86_64

%description
libglade-java is a language binding that allows developers to write
Java applications that use libglade.  It is part of Java-GNOME.

%package       	devel
Summary:        Compressed Java source files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
# FIXME: find a better solution for this
sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool 
sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool 
make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
zip -9 -r $zipfile $(find -name \*.java)
popd

%install
rm -rf %{buildroot}

make DESTDIR=$RPM_BUILD_ROOT install

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_datadir}/java/
pushd $RPM_BUILD_ROOT%{_datadir}/java
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/api AUTHORS COPYING NEWS README
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_datadir}/java/*.zip

%changelog
* Fri May 20 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-5
- Fix permissions of src zip. 

* Thu May 19 2005 Ben Konrath <bkonrath@redhat.com> - 2.10.1-4
- Add compressed java source to devel package.

* Mon Apr 25 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-3
- Back out patch added in 2.10.1-2 (unnecessary).

* Sat Apr 23 2005 Andrew Overholt <overholt@redhat.com> 2.10.1-2
- Add patch to fix NoSuchFieldError (Ismael Juma).

* Tue Apr 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.1-1
- Import libglade-java 2.10.1.

* Sat Apr  2 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.10.0-1
- Import libglade-java 2.10.0.

* Fri Mar  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.92-1
- Import libglade-java 2.9.92.

* Sat Feb 12 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91.1-1
- Import libglade-java 2.9.91.1.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-3
- Work around libtool, gcj, -D_FORTIFY_SOURCE=2, rpmbuild problem.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-2
- Only build on i386 and x86_64.

* Tue Feb  8 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.91-1
- Import libglade-java 2.9.91.

* Fri Feb  4 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 2.9.90-1
- Import libglade-java 2.9.90.

* Mon Dec 13 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-2
- Add signal-connect.patch to fix upstream bug
  (http://bugzilla.gnome.org/show_bug.cgi?id=161190)

* Sat Nov 27 2004 Ben Konrath <bkonrath@redhat.com> 2.8.2-1
- Update sources

* Tue Nov  2 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-2
- Require libgnome-java and libgtk-java for build.

* Mon Nov  1 2004 Thomas Fitzsimmons <fitzsim@redhat.com> 2.8.1-1
- Initial release.
